# Google Maps Coordinate API . schedule

## Instance Methods

Retrieves the schedule for a job.

Replaces the schedule of a job with the provided schedule. This method supports patch semantics.

Replaces the schedule of a job with the provided schedule.

### Method Details

`get(teamId, jobId)`

    Retrieves the schedule for a job.

    Args:
      teamId: string, Team ID (required)
      jobId: string, Job number (required)

    Returns:
      An object of the form:

        { # Job schedule.
          "duration": "A String", # Job duration in milliseconds.
          "kind": "coordinate#schedule", # Identifies this object as a job schedule.
          "allDay": True or False, # Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
          "startTime": "A String", # Scheduled start time in milliseconds since epoch.
          "endTime": "A String", # Scheduled end time in milliseconds since epoch.
        }

`patch(teamId, jobId, body, allDay=None, startTime=None, duration=None, endTime=None)`

    Replaces the schedule of a job with the provided schedule. This method supports patch semantics.

    Args:
      teamId: string, Team ID (required)
      jobId: string, Job number (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Job schedule.
        "duration": "A String", # Job duration in milliseconds.
        "kind": "coordinate#schedule", # Identifies this object as a job schedule.
        "allDay": True or False, # Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
        "startTime": "A String", # Scheduled start time in milliseconds since epoch.
        "endTime": "A String", # Scheduled end time in milliseconds since epoch.
      }

      allDay: boolean, Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
      startTime: string, Scheduled start time in milliseconds since epoch.
      duration: string, Job duration in milliseconds.
      endTime: string, Scheduled end time in milliseconds since epoch.

    Returns:
      An object of the form:

        { # Job schedule.
          "duration": "A String", # Job duration in milliseconds.
          "kind": "coordinate#schedule", # Identifies this object as a job schedule.
          "allDay": True or False, # Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
          "startTime": "A String", # Scheduled start time in milliseconds since epoch.
          "endTime": "A String", # Scheduled end time in milliseconds since epoch.
        }

`update(teamId, jobId, body, allDay=None, startTime=None, duration=None, endTime=None)`

    Replaces the schedule of a job with the provided schedule.

    Args:
      teamId: string, Team ID (required)
      jobId: string, Job number (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # Job schedule.
        "duration": "A String", # Job duration in milliseconds.
        "kind": "coordinate#schedule", # Identifies this object as a job schedule.
        "allDay": True or False, # Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
        "startTime": "A String", # Scheduled start time in milliseconds since epoch.
        "endTime": "A String", # Scheduled end time in milliseconds since epoch.
      }

      allDay: boolean, Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
      startTime: string, Scheduled start time in milliseconds since epoch.
      duration: string, Job duration in milliseconds.
      endTime: string, Scheduled end time in milliseconds since epoch.

    Returns:
      An object of the form:

        { # Job schedule.
          "duration": "A String", # Job duration in milliseconds.
          "kind": "coordinate#schedule", # Identifies this object as a job schedule.
          "allDay": True or False, # Whether the job is scheduled for the whole day. Time of day in start/end times is ignored if this is true.
          "startTime": "A String", # Scheduled start time in milliseconds since epoch.
          "endTime": "A String", # Scheduled end time in milliseconds since epoch.
        }